Next: wcscmp, Previous: wcscat, Up: Wchar strings

### 6.7 `wcschr`—wide-character string scanning operation

Synopsis

         #include <wchar.h>
         wchar_t *wcschr(const wchar_t *s, wchar_t c);

Description
The `wcschr` function locates the first occurrence of c in the wide-character string pointed to by s. The value of c must be a character representable as a type wchar_t and must be a wide-character code corresponding to a valid character in the current locale. The terminating null wide-character string.

Returns
Upon completion, `wcschr` returns a pointer to the wide-character code, or a null pointer if the wide-character code is not found.

Portability
`wcschr` is ISO/IEC 9899/AMD1:1995 (ISO C).

No supporting OS subroutines are required.